App.NewController = Ember.ArrayController.extend({
    needs: 'application'
});

App.NewRoute = Ember.Route.extend({
    setupController: function(controller, model) {
        // set server to "" so when autofocus happens it doesn't dirty the model
        newConnection = App.Connection.create({type: "sftp", server: "", save_password: true});
        this.controllerFor('index').set('newConnection', newConnection);
        this.controllerFor('index').set('sidebarActiveButton', "new-active");

        controller.set('model', model);
    },
    renderTemplate: function() {

        this.render('sidebar', { // the template to render
            outlet: 'sidebar', // the name of the outlet in the route's template
            controller: 'index' // the controller to use for the template
        });
        this.render('details', {
            outlet: 'content',
            controller: 'index'
        });
    },
});

